<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">

<html lang="en">
<head>

<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">

<meta name="generator" content="PHPDoctor 2RC4 (http://peej.github.com/phpdoctor/)">
<meta name="when" content="Fri, 15 Apr 2011 16:43:07 +0000">

<link rel="stylesheet" type="text/css" href="../../../stylesheet.css">
<link rel="start" href="../../../overview-summary.html">

<title>doclets/standard/packageIndexFrameWriter.php (PHPDoctor)</title>

</head>
<body id="file" onload="parent.document.title=document.title;">

<div class="header">
<h1>PHPDoctor</h1>
<ul>
<li><a href="../../../overview-summary.html">Overview</a></li>
<li>Package</li><li>Class</li><li>Tree</li><li><a href="../../../overview-files.html">Files</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../todo-list.html">Todo</a></li>
<li><a href="../../../index-all.html">Index</a></li>
</ul>
</div>

<div class="small_links">
<a href="../../../index.html" target="_top">Frames</a>
<a href="../../../source/doclets/standard/packageindexframewriter.php.html" target="_top">No frames</a>
</div>
<hr>

<h1>doclets/standard/packageIndexFrameWriter.php</h1>
<hr>

<a name="line1"></a><pre><?php
<a name="line2"></a>/*
<a name="line3"></a>PHPDoctor: The PHP Documentation Creator
<a name="line4"></a>Copyright (C) 2004 Paul James <paul@peej.co.uk>
<a name="line5"></a>
<a name="line6"></a>This program is free software; you can redistribute it and/or modify
<a name="line7"></a>it under the terms of the GNU General Public License as published by
<a name="line8"></a>the Free Software Foundation; either version 2 of the License, or
<a name="line9"></a>(at your option) any later version.
<a name="line10"></a>
<a name="line11"></a>This program is distributed in the hope that it will be useful,
<a name="line12"></a>but WITHOUT ANY WARRANTY; without even the implied warranty of
<a name="line13"></a>MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
<a name="line14"></a>GNU General Public License for more details.
<a name="line15"></a>
<a name="line16"></a>You should have received a copy of the GNU General Public License
<a name="line17"></a>along with this program; if not, write to the Free Software
<a name="line18"></a>Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
<a name="line19"></a>*/
<a name="line20"></a>
<a name="line21"></a>/** This generates the overview-frame.html file used for displaying the list
<a name="line22"></a> * of package links in the upper-left frame in the frame-formatted default
<a name="line23"></a> * output.
<a name="line24"></a> *
<a name="line25"></a> * @package PHPDoctor\Doclets\Standard
<a name="line26"></a> */
<a name="line27"></a>class PackageIndexFrameWriter extends HTMLWriter
<a name="line28"></a>{
<a name="line29"></a>
<a name="line30"></a>	/** Build the package frame index.
<a name="line31"></a>	 *
<a name="line32"></a>	 * @param Doclet doclet
<a name="line33"></a>	 */
<a name="line34"></a>	function packageIndexFrameWriter(&$doclet)
<a name="line35"></a>    {
<a name="line36"></a>	
<a name="line37"></a>		parent::HTMLWriter($doclet);
<a name="line38"></a>		
<a name="line39"></a>		ob_start();
<a name="line40"></a>		
<a name="line41"></a>		echo '<body id="frame">', "\n\n";
<a name="line42"></a>		
<a name="line43"></a>		echo '<h1>'.$this->_doclet->getHeader()."</h1>\n\n";
<a name="line44"></a>		
<a name="line45"></a>		echo "<ul>\n";
<a name="line46"></a>		echo '<li><a href="allitems-frame.html" target="index">All Items</a></li>'."\n";
<a name="line47"></a>		echo "</ul>\n\n";
<a name="line48"></a>		
<a name="line49"></a>		echo "<h1>Namespaces</h1>\n\n";
<a name="line50"></a>
<a name="line51"></a>		$rootDoc =& $this->_doclet->rootDoc();
<a name="line52"></a>
<a name="line53"></a>		echo "<ul>\n";
<a name="line54"></a>        $packages =& $rootDoc->packages();
<a name="line55"></a>        ksort($packages);
<a name="line56"></a>		foreach($packages as $name => $package) {
<a name="line57"></a>			echo '<li><a href="'.$package->asPath().'/package-frame.html" target="index">'.$package->name().'</a></li>'."\n";
<a name="line58"></a>		}
<a name="line59"></a>		echo "</ul>\n\n";
<a name="line60"></a>		
<a name="line61"></a>		echo '</body>', "\n\n";
<a name="line62"></a>
<a name="line63"></a>		$this->_output = ob_get_contents();
<a name="line64"></a>		ob_end_clean();
<a name="line65"></a>		
<a name="line66"></a>		$this->_write('overview-frame.html', 'Overview', FALSE);
<a name="line67"></a>	
<a name="line68"></a>	}
<a name="line69"></a>
<a name="line70"></a>}
<a name="line71"></a>
<a name="line72"></a>?>
<a name="line73"></a></pre>
<div class="header">
<h1>PHPDoctor</h1>
<ul>
<li><a href="../../../overview-summary.html">Overview</a></li>
<li>Package</li><li>Class</li><li>Tree</li><li><a href="../../../overview-files.html">Files</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../todo-list.html">Todo</a></li>
<li><a href="../../../index-all.html">Index</a></li>
</ul>
</div>

<div class="small_links">
<a href="../../../index.html" target="_top">Frames</a>
<a href="../../../source/doclets/standard/packageindexframewriter.php.html" target="_top">No frames</a>
</div>
<hr>

<p id="footer">This document was generated by <a href="http://peej.github.com/phpdoctor/">PHPDoctor: The PHP Documentation Creator</a></p>

</body>

</html>